Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.rhino.worker
[Java] Class RhinoWorkerUtils

    java.lang.Object
      org.gradle.plugins.javascript.rhino.worker.RhinoWorkerUtils

    public abstract class RhinoWorkerUtils

Nested Class Summary
`static class` | `RhinoWorkerUtils.DefaultScopeOperation`
`static interface` | `RhinoWorkerUtils.ScopeOperation`

Method Summary
`static R` | `childScope(Scriptable parentScope, RhinoWorkerUtils.ScopeOperation operation)`
`static Scriptable` | `parse(File source, String encoding)`
`static Scriptable` | `parse(File source, String encoding, Action contextConfig)`
`static Object` | `parseRhino(File rhinoScript, RhinoWorkerUtils.ScopeOperation operation)`
`static String` | `readFile(File file, String encoding)`
`static Object` | `toJavaValue(Object object)`
`static Map` | `toMap(Scriptable obj)`
`static void` | `writeFile(String content, File destination, String encoding)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### childScope

    public static R childScope(Scriptable parentScope, RhinoWorkerUtils.ScopeOperation operation)

### parse

    public static Scriptable parse(File source, String encoding)

### parse

    public static Scriptable parse(File source, String encoding, Action contextConfig)

### parseRhino

    public static Object parseRhino(File rhinoScript, RhinoWorkerUtils.ScopeOperation operation)

### readFile

    public static String readFile(File file, String encoding)

### toJavaValue

    public static Object toJavaValue(Object object)

### toMap

    public static Map toMap(Scriptable obj)

### writeFile

    public static void writeFile(String content, File destination, String encoding)

Gradle API 1.1-rc-1